package com.tarena.oss.web.forms;

import org.apache.struts.action.ActionForm;

import com.tarena.oss.userservice.pojo.UserServiceCondDTO;

public class UserServiceCondForm extends ActionForm {
	private UserServiceCondDTO dto;
	private Integer id;
	private String username;
	private String loginname;
	private String labip;
	private int status;
	private String pricingname;
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public UserServiceCondDTO getDto() {
		return dto;
	}
	public void setDto(UserServiceCondDTO dto) {
		this.dto = dto;
	}
	public String getLabip() {
		return dto.getLabip();
	}
	public void setLabip(String labip) {
		dto.setLabip(labip);
	}
	public String getLoginname() {
		return dto.getLoginname();
	}
	public void setLoginname(String loginname) {
		dto.setLoginname(loginname);
	}
	public int getStatus() {
		return dto.getStatus();
	}
	public void setStatus(int status) {
		dto.setStatus(status);
	}
	
	
	public String getPricingname() {
		return this.pricingname;
	}
	public void setPricingname(String pricingname) {
		this.pricingname = pricingname;
	}
//	public String getUsername() {
//		return dto.getUser().getName();
//	}
	
	//???????
	public void setUsername(String username) {
		this.username = username;
	}
	
}
